--- /home/justin/Projects/fltk-1.3/src/Fl_Tabs.cxx	2016-09-23 01:34:29.763372859 -0400
+++ Fl_Tabs.cxx	2016-09-23 03:09:00.161314015 -0400
@@ -23,8 +23,9 @@
 // Clicking the tab makes that card visible.
 
 #include <stdio.h>
+#include <iostream>
 #include <FL/Fl.H>
-#include <FL/Fl_Tabs.H>
+#include "Fl_Tabs.H"
 #include <FL/fl_draw.H>
 #include <FL/Fl_Tooltip.H>
 
@@ -63,8 +64,16 @@
     if (o->visible()) selected = i;
 
     int wt = 0; int ht = 0;
-    o->measure_label(wt,ht);
+    o->measure_label(wt ,ht);
 
+    //Compensate for image width if applicable.
+    if ((tab_label_align & FL_ALIGN_TEXT_NEXT_TO_IMAGE) == 
+      FL_ALIGN_TEXT_NEXT_TO_IMAGE ||
+      (tab_label_align & FL_ALIGN_IMAGE_NEXT_TO_TEXT) == 
+      FL_ALIGN_IMAGE_NEXT_TO_TEXT) {
+      if (o->image()) wt += o->image()->w();
+    }
+    
     tab_width[i] = wt + EXTRASPACE;
     tab_pos[i+1] = tab_pos[i] + tab_width[i] + BORDER;
   }
